Create a service token
- Base URL
-
https://{kibana_url}
-
POST
/api/fleet/service_tokens
-
POST
/s/{space_id}/api/fleet/service_tokens
Auth
Create a Fleet Server service token. The token is used to enroll Fleet Server instances with Kibana.
-
Privileges
fleet-agents-all
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
A required header to protect against CSRF attacks
-
remote
boolean · default: false
-
attributes
object
required
Thank you for your feedback.